package com.example;

abstract class Animal {
    protected String name;

    public Animal(String name) {
        this.name = name;
    }

    public abstract void makeSound(); // Abstrakte Methode

    public void sleep() { // Konkrete Methode
        System.out.println(name + " schläft...");
    }
}
